package com.ruoyi.project.asset.service.impl;

import com.ruoyi.project.asset.domain.TSpecdevFixedAsset;
import com.ruoyi.project.asset.mapper.TSpecdevFixedAssetMapper;
import com.ruoyi.project.asset.service.ITSpecdevFixedAssetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 固定资产Service业务层处理
 *
 * @author ruoyi
 * @date 2022-10-18
 */
@Service
public class TSpecdevFixedAssetServiceImpl implements ITSpecdevFixedAssetService
{
    @Autowired
    private TSpecdevFixedAssetMapper tSpecdevFixedAssetMapper;

    /**
     * 查询固定资产
     *
     * @param id 固定资产ID
     * @return 固定资产
     */
    @Override
    public TSpecdevFixedAsset selectTSpecdevFixedAssetById(Long id)
    {
        return tSpecdevFixedAssetMapper.selectTSpecdevFixedAssetById(id);
    }

    /**
     * 查询固定资产列表
     *
     * @param tSpecdevFixedAsset 固定资产
     * @return 固定资产
     */
    @Override
    public List<TSpecdevFixedAsset> selectTSpecdevFixedAssetList(TSpecdevFixedAsset tSpecdevFixedAsset)
    {
        return tSpecdevFixedAssetMapper.selectTSpecdevFixedAssetList(tSpecdevFixedAsset);
    }

    /**
     * 新增固定资产
     *
     * @param tSpecdevFixedAsset 固定资产
     * @return 结果
     */
    @Override
    public int insertTSpecdevFixedAsset(TSpecdevFixedAsset tSpecdevFixedAsset)
    {
        return tSpecdevFixedAssetMapper.insertTSpecdevFixedAsset(tSpecdevFixedAsset);
    }

    /**
     * 修改固定资产
     *
     * @param tSpecdevFixedAsset 固定资产
     * @return 结果
     */
    @Override
    public int updateTSpecdevFixedAsset(TSpecdevFixedAsset tSpecdevFixedAsset)
    {
        return tSpecdevFixedAssetMapper.updateTSpecdevFixedAsset(tSpecdevFixedAsset);
    }

    /**
     * 批量删除固定资产
     *
     * @param ids 需要删除的固定资产ID
     * @return 结果
     */
    @Override
    public int deleteTSpecdevFixedAssetByIds(Long[] ids)
    {
        return tSpecdevFixedAssetMapper.deleteTSpecdevFixedAssetByIds(ids);
    }

    /**
     * 删除固定资产信息
     *
     * @param id 固定资产ID
     * @return 结果
     */
    @Override
    public int deleteTSpecdevFixedAssetById(Long id)
    {
        return tSpecdevFixedAssetMapper.deleteTSpecdevFixedAssetById(id);
    }
}
